/* Terraform - (C) 1997-1999 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _TF_DIALOG_TRANSFORM_H
#define _TF_DIALOG_TRANSFORM_H


#include "TFPreviewDialog.h"			// include gtk, gtk--



/*
 *  TFDialogTransform: display the roughen dialog for terraformer
 */
class TFDialogTransform : public TFPreviewDialog
	{
	public: 
				TFDialogTransform (HeightField *HF, HeightFieldDraw *HFD);
				~TFDialogTransform (); 
		void		buildDialogWindow ();
		void 		buttonCallbackApply ();

	private:
		void		insertOptions ();
		void 		invertCBCallback ();
		void 		updatePreviewCallback ();

		Gtk_VBox		d_vBoxList;
		Gtk_HBox                d_hBoxTFactor,
					d_hBoxInvert,
					d_hBoxAdjustSea;
		Gtk_Adjustment		d_adjTFactor;
		Gtk_HScale		d_hsTFactor;
		Gtk_Label		d_lblTFactor,
					d_lblInvert,
					d_lblAdjustSea;
		Gtk_CheckButton		d_btnInvert,
					d_btnAdjustSea;
		Gtk_Frame		d_optionsFrame;
	};


#endif // _TF_DIALOG_TRANSFORM_H
